Subject: 23.0.96; Default for desktop-buffers-not-to-save omits files

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jul 2009 21:06:34 +0300

I restarted Emacs today on one of my machines (because I built a new
version), and suddenly some of the files I worked on in the previous
session were not visited by Emacs.  It took time for me to find which
files I was working on, because I don't keep records of all of the
files I have in my session: I trust desktop.el to do that.

Looking in desktop.el, I see that desktop-buffers-not-to-save
intentionally omits buffers whose names end in ".log" and a couple
others.  Sure thing, the files that were not visited after restarting
ended in ".log".

I think that variable's default should be nil.  I think it is up to
the user to decide that she doesn't want to record some of the
buffers/files.  It is no business of desktop.el to decide for the
user.  Especially since there is no way of telling desktop.el to
override the value of desktop-buffers-not-to-save for some specific
buffer, short of renaming the buffer.

Similarly with desktop-files-not-to-save: its default should be nil,
IMO.

In GNU Emacs 23.0.96.1 (i386-mingw-nt5.1.2600)
 of 2009-07-11 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default-enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  flyspell-mode: t
  desktop-save-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  abbrev-mode: t